<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::ResultWas Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1ResultWas.html">ResultWas</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="structCatch_1_1ResultWas-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::ResultWas Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a624e1ee3661fcf6094ceef1f654601ef"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">OfType</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e">Unknown</a> = -1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695">Ok</a> = 0, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb">Info</a> = 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab">Warning</a> = 2, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc">FailureBit</a> = 0x10, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570">ExpressionFailed</a> = FailureBit | 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444">ExplicitFailure</a> = FailureBit | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4">Exception</a> = 0x100 | FailureBit, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd">ThrewException</a> = Exception | 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85">DidntThrowException</a> = Exception | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee">FatalErrorCondition</a> = 0x200 | FailureBit, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e">Unknown</a> = -1, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695">Ok</a> = 0, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb">Info</a> = 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab">Warning</a> = 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc">FailureBit</a> = 0x10, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570">ExpressionFailed</a> = FailureBit | 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444">ExplicitFailure</a> = FailureBit | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4">Exception</a> = 0x100 | FailureBit, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd">ThrewException</a> = Exception | 1, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85">DidntThrowException</a> = Exception | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee">FatalErrorCondition</a> = 0x200 | FailureBit
<br />
 }</td></tr>
<tr class="separator:a624e1ee3661fcf6094ceef1f654601ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a624e1ee3661fcf6094ceef1f654601ef"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">OfType</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e">Unknown</a> = -1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695">Ok</a> = 0, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb">Info</a> = 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab">Warning</a> = 2, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc">FailureBit</a> = 0x10, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570">ExpressionFailed</a> = FailureBit | 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444">ExplicitFailure</a> = FailureBit | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4">Exception</a> = 0x100 | FailureBit, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd">ThrewException</a> = Exception | 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85">DidntThrowException</a> = Exception | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee">FatalErrorCondition</a> = 0x200 | FailureBit, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e">Unknown</a> = -1, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695">Ok</a> = 0, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb">Info</a> = 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab">Warning</a> = 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc">FailureBit</a> = 0x10, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570">ExpressionFailed</a> = FailureBit | 1, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444">ExplicitFailure</a> = FailureBit | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4">Exception</a> = 0x100 | FailureBit, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd">ThrewException</a> = Exception | 1, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85">DidntThrowException</a> = Exception | 2, 
<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee">FatalErrorCondition</a> = 0x200 | FailureBit
<br />
 }</td></tr>
<tr class="separator:a624e1ee3661fcf6094ceef1f654601ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a624e1ee3661fcf6094ceef1f654601ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a624e1ee3661fcf6094ceef1f654601ef">&#9670;&nbsp;</a></span>OfType <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">Catch::ResultWas::OfType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e"></a>Unknown&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695"></a>Ok&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb"></a>Info&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab"></a>Warning&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc"></a>FailureBit&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570"></a>ExpressionFailed&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444"></a>ExplicitFailure&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4"></a>Exception&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd"></a>ThrewException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85"></a>DidntThrowException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee"></a>FatalErrorCondition&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e"></a>Unknown&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695"></a>Ok&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb"></a>Info&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab"></a>Warning&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc"></a>FailureBit&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570"></a>ExpressionFailed&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444"></a>ExplicitFailure&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4"></a>Exception&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd"></a>ThrewException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85"></a>DidntThrowException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee"></a>FatalErrorCondition&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a624e1ee3661fcf6094ceef1f654601ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a624e1ee3661fcf6094ceef1f654601ef">&#9670;&nbsp;</a></span>OfType <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">Catch::ResultWas::OfType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e"></a>Unknown&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695"></a>Ok&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb"></a>Info&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab"></a>Warning&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc"></a>FailureBit&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570"></a>ExpressionFailed&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444"></a>ExplicitFailure&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4"></a>Exception&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd"></a>ThrewException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85"></a>DidntThrowException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee"></a>FatalErrorCondition&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e"></a>Unknown&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695"></a>Ok&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb"></a>Info&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab"></a>Warning&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc"></a>FailureBit&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570"></a>ExpressionFailed&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444"></a>ExplicitFailure&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4"></a>Exception&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd"></a>ThrewException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85"></a>DidntThrowException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee"></a>FatalErrorCondition&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
